name: doormile
description: "Doormile — EV-first parcel delivery app."
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: ">=3.0.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.6
  provider: ^6.1.2
  firebase_core: ^4.10.0
  firebase_auth: ^6.5.2
  http: ^1.6.0
  shared_preferences: ^2.5.5
  permission_handler: ^12.0.3
  geolocator: ^14.0.2
  url_launcher: ^6.3.2
  geocoding: ^4.0.0
  google_maps_flutter: ^2.9.0
  web_socket_channel: ^3.0.1
  firebase_messaging: 16.3.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0
  flutter_launcher_icons: ^0.14.4
  flutter_native_splash: ^2.4.7

flutter:
  uses-material-design: true
  fonts:
    - family: Public Sans
      fonts:
        - asset: assets/fonts/PublicSans.ttf

  assets:
    - assets/images/

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/launcher_doormile.png"

